[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.SetName

Sets the value for the Name property.

## Declaration

Source position: controls.pp line 1520

`protected procedure TControl.SetName(`
`const Value: TComponentName`
`); override;`

## Arguments

`Value` |  | New value for the Name property.

## See also

TComponent.Name